import { EventEmitter, AfterViewInit, ElementRef, OnDestroy } from '@angular/core';
import { PickerService, PickerCell } from '../picker/picker.service';
export declare class PickerColumnComponent implements AfterViewInit, OnDestroy {
    private elementRef;
    private scale;
    private pickerService;
    uiSelected: EventEmitter<PickerCell>;
    cells: Array<PickerCell>;
    cellHeight: number;
    value: PickerCell;
    distanceTop: number;
    private scrollInstance;
    private subs;
    constructor(elementRef: ElementRef, scale: number, pickerService: PickerService);
    ngAfterViewInit(): void;
    initScroll(): void;
    ngOnDestroy(): void;
}
